/* ========================================
 * Jon Titus, KZ1G
 * PSoC 5LP Servo demo
 * January 07, 2017
 * PWM clock set at 3.00 MHz
 * ========================================
*/
#include "project.h"

int main(void)
{
    uint16_t low_count = 3000;  // Count for 1-msec pulse 
    uint16_t hi_count = 6000;   // Count for 2-msec pulse
    uint16_t pwm_count = 0;     // Counter for loops
    
    CyGlobalIntEnable;          // Enable global interrupts.
                                // Interrupts not used here.

    // Initialization code
    PWM_1_Start();                          //Start PWM_1 function
    
    for(;;)                                 //Endless loop
    {
        pwm_count = low_count;              //Start compare value
                                            //for a with 1-msec pulse    
        while (pwm_count < hi_count)        //Run loop until 2-msec pulse time
        {
            PWM_1_WriteCompare(pwm_count);  //Output PWM compare value
            CyDelay(1);                     //Delay 1 msec for scope trace
            pwm_count = pwm_count +1;       //Increment compare value
        }                                   //while loop ends
        
        while (pwm_count > low_count)       //2-msec count reached
        {                                   //start to count down to 1-msec
                                            //compare value
            PWM_1_WriteCompare(pwm_count);  //Output PWM compare value
            CyDelay(1);                     //Delay 1 msec
            pwm_count = pwm_count -1;       //Decrement compare value
        }                                   //while loop ends
    }                                       //for loop ends
}                                           //main.c ends    
/* [] END OF FILE */
